> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v2 Splitters filter

> Filter splitters and show their details.



## OpenAPI

````yaml post /v2/splitters/filter
openapi: 3.0.0
info:
  contact: {}
  description: V2 HTTP JSON API for localcopy-labels stored info (taxonomy)
  title: localcopy-labels API
  version: 2.0.0
servers:
  - url: https://api.globalwebindex.com
security: []
paths:
  /v2/splitters/filter:
    post:
      tags:
        - Splitters
      summary: v2 Splitters filter
      description: Filter splitters and show their details.
      operationId: v2SplittersFilter
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/localcopylabelspb.SplittersFilterRequest'
        description: Request to filter splitters by
        required: true
      responses:
        '200':
          description: splitters satisfying criteria and their details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/localcopylabelspb.SplittersFilterResponse'
        '400':
          description: request contains errors
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        '403':
          description: forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
        default:
          description: some other error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HTTPError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    localcopylabelspb.SplittersFilterRequest:
      properties:
        splitters:
          description: Splitters filter to use as criteria.
          items:
            $ref: '#/components/schemas/localcopylabelspb.SplittersFilter'
          type: array
      type: object
    localcopylabelspb.SplittersFilterResponse:
      properties:
        splitters:
          description: Splitters matching the filtering criteria.
          items:
            $ref: '#/components/schemas/localcopylabelspb.Splitter'
          type: array
      type: object
    errors.HTTPError:
      properties:
        code:
          type: integer
        err:
          type: string
        type:
          type: string
      type: object
    localcopylabelspb.SplittersFilter:
      properties:
        namespace_code:
          description: >-
            Namespace Code of splitter to search in. If the namespace code does
            not

            exist it is silently ignored.
          type: string
      type: object
    localcopylabelspb.Splitter:
      properties:
        accessible:
          description: Is this splitter accessible (true).
          type: boolean
        code:
          description: Question code of splitter (q2, gwi-usa.q13).
          type: string
        name:
          description: Name of the splitter question (Gender).
          type: string
        namespace_code:
          description: Namespace code of splitter (core, gwi-usa).
          type: string
        segments:
          description: Segments of this splitter in this namespace.
          items:
            $ref: '#/components/schemas/localcopylabelspb.SplitterSegment'
          type: array
      type: object
    localcopylabelspb.SplitterSegment:
      properties:
        accessible:
          description: Is this segment accessible (true).
          type: boolean
        code:
          description: Code of splitter segment (q2_1, q13_4).
          type: string
        name:
          description: Name of the segment datapoint (Female).
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````